@tailwind base;
@tailwind components;
@tailwind utilities;

@font-face {
    font-family: "IBM";
    src: url("../fonts/ibmplexarabic-Text.woff2") format("woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

body {
    font-family: "IBM", sans-serif;
}

@layer utilities {
    .fade-up {
        animation: fadeUp 0.9s ease forwards;
        opacity: 0;
        transform: translateY(35px);
    }

    .delay-100 {
        animation-delay: 0.1s;
    }

    .delay-200 {
        animation-delay: 0.25s;
    }

    .delay-300 {
        animation-delay: 0.4s;
    }

    .delay-400 {
        animation-delay: 0.55s;
    }

    @keyframes fadeUp {
        to {
            opacity: 1;
            transform: translateY(0);
        }
    }
}